---
schema_version: "1"
id: 00b2f90f7b42add78fcd15648ac8b038dee83ccec6481696ee7d4675a010249a
title: Send Notifications
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/automotive/references/generated-api-specs/send-notifications.md
canonical_url: https://developer.salesforce.com/docs/industries/automotive/references/send-notifications
source_site: developer.salesforce.com
content_type: documentation
content_hash: a6934c1dd7d33232fa95de1d04f23c7da482ecb989f0c24feccb2abb271a77e2
products:
  - Automotive Cloud Integrations API
  - Industries Integrations
---
Send Notifications

# Send Notifications

Use the Automotive Send Notification API to send messages to drivers or share alerts and notifications to a vehicle’s human machine interface (HMI) in real time.

**Version:** 1.0

Protocols: HTTPS.

## Operations

### POST Send Notification

`POST /auto/v1/notification/{vin}`

Sends notification for a specified vehicle identification number.

#### Parameters

*   `vin` (path, string, required) The vehicle identification number.

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
"message": "Alert"
"objectName": "Vehicle"
"recordId": "u8383478iuyeuue"
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    "code": "200"
    "message": "The notification was sent."
    "isSuccess": true
    "correlationId": "12746735744868"
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "400"
    message: Bad request.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "401"
    message: Unauthorized.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "404"
    message: Resource not found.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "405"
    message: Method not allowed.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **406** Not acceptable.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "406"
    message: Not acceptable.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **415** The media type is not supported.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "415"
    message: Unsupported media type.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "500"
    message: Internal server error.
    isSuccess: false
    correlationId: "1234444"
    ```
    
*   **501** Not implemented.
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    code: "501"
    message: Not implemented.
    isSuccess: false
    correlationId: "1234444"
    ```